
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Don't return anything in functions returning void (found by sparse)

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m68k/mac/macints.c |    3 ++-
 25-akpm/arch/m68k/mm/kmap.c     |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/m68k/mac/macints.c~m68k-sparse-void-return arch/m68k/mac/macints.c
--- 25/arch/m68k/mac/macints.c~m68k-sparse-void-return	2004-07-26 17:25:34.096792832 -0700
+++ 25-akpm/arch/m68k/mac/macints.c	2004-07-26 17:25:34.102791920 -0700
@@ -545,7 +545,8 @@ void mac_free_irq(unsigned int irq, void
 #endif
 
 	if (irq < VIA1_SOURCE_BASE) {
-		return cpu_free_irq(irq, dev_id);
+		cpu_free_irq(irq, dev_id);
+		return;
 	}
 
 	if (irq >= NUM_MAC_SOURCES) {
diff -puN arch/m68k/mm/kmap.c~m68k-sparse-void-return arch/m68k/mm/kmap.c
--- 25/arch/m68k/mm/kmap.c~m68k-sparse-void-return	2004-07-26 17:25:34.097792680 -0700
+++ 25-akpm/arch/m68k/mm/kmap.c	2004-07-26 17:25:34.102791920 -0700
@@ -45,7 +45,7 @@ static inline struct vm_struct *get_io_a
 
 static inline void free_io_area(void *addr)
 {
-	return vfree((void *)(PAGE_MASK & (unsigned long)addr));
+	vfree((void *)(PAGE_MASK & (unsigned long)addr));
 }
 
 #else
_
